Subject: [bug#32818] [PATCH] gnu: Add petsc-mumps-openmpi.

From: Paul Garlick <[email-masked]>
Date: Tue, 25 Sep 2018 16:28:28 +0100

Hi Eric,

>  I will give it a try.

The build is successful with the "--with-PACKAGENAME=1" flags.  The
PETSc configure script picks up the same set of libraries that I had
specified by the "--with-PACKAGENAME-lib" flags.  Thank you for the
tip!

Actually, I would like to add a "--with-hypre=1" flag too to add in
support for the HYPRE preconditioner.  However, this is related to the
petsc-mumps-openmpi vs petsc-openmpi naming question.  As far as I can
see the presence of HYPRE would not interfere with dealii-openmpi so
perhaps it would be better to include it in petsc-openmpi instead.

Paul.